%global momorel 2

Summary: Security module for the Apache HTTP Server
Name: mod_security 
Version: 2.5.12
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://www.modsecurity.org/
Group: System Environment/Daemons
Source: http://www.modsecurity.org/download/modsecurity-apache_%{version}.tar.gz
NoSource: 0
Source1: mod_security.conf
Source2: modsecurity_localrules.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: httpd httpd-mmn
BuildRequires: httpd-devel >= 2.2.4-2m
BuildRequires: libxml2-devel pcre-devel curl-devel lua-devel

%description
ModSecurity is an open source intrusion detection and prevention engine
for web applications. It operates embedded into the web server, acting
as a powerful umbrella - shielding web applications from attacks.

%prep
%setup -q -n modsecurity-apache_%{version}

%build
cd apache2
%{configure}
make %{_smp_mflags}
make %{_smp_mflags} mlogc

%install
rm -rf %{buildroot}
install -D -m755 apache2/.libs/mod_security2.so %{buildroot}/%{_libdir}/httpd/modules/mod_security2.so
install -D -m644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/httpd/conf.d/mod_security.conf
install -d %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/
install -D -m644 rules/*.conf %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/
#perl -pi.orig -e 's|Apache/2.2.0 \(Fedora\)|Apache/2.2.0 \(Momonga\)|;' rules/*.conf
cp -R rules/base_rules %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/
cp -R rules/optional_rules %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/
install -D -m644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/httpd/modsecurity.d/modsecurity_localrules.conf
install -Dp tools/mlogc %{buildroot}/%{_bindir}/mlogc
install -D -m644 apache2/mlogc-src/mlogc-default.conf %{buildroot}/%{_sysconfdir}/mlogc.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc rules/util CHANGES LICENSE README.* modsecurity* doc MODSECURITY_LICENSING_EXCEPTION
%{_libdir}/httpd/modules/mod_security2.so
%{_bindir}/mlogc
%config(noreplace) %{_sysconfdir}/mlogc.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_security.conf
%dir %{_sysconfdir}/httpd/modsecurity.d
%{_sysconfdir}/httpd/modsecurity.d/optional_rules
%{_sysconfdir}/httpd/modsecurity.d/base_rules
%config(noreplace) %{_sysconfdir}/httpd/modsecurity.d/*.conf

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.5.12-2m)
- full rebuild for mo7 release

* Wed Mar 17 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.12-1m)
- [SECURITY] http://seclists.org/bugtraq/2009/Jun/135
- [SECLISTS] http://secunia.com/advisories/38460/
- update to 2.5.12 (Core Rules 2.0.5)
-- fixed security bypasses and a DoS

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.9-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat May 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.5.9-1m)
- [SECURITY] CVE-2009-1902 CVE-2009-1903 CVE-2008-5676
- [SECURITY] http://seclists.org/fulldisclosure/2009/Mar/0284.html
- [SECURITY] http://blog.modsecurity.org/2008/08/transformation.html
- update to 2.5.9
-- add BuildRequires: curl-devel lua-devel
-- install mlogc
- import the following Fedora 11's changes
-- * Sat Aug 2 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 2.5.6-1
-- - Remove bogus LoadFile directives as they're no longer needed.
-- 
-- * Tue Jun 19 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 2.1.1-1
-- - Re-enable protocol violation/anomalies rules now that REQUEST_FILENAME
--   is fixed upstream.

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.7-2m)
- rebuild against rpm-4.6

* Sat Jul 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.7-1m)
- update to 2.1.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.3-4m)
- rebuild against gcc43

* Sun Feb 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.3-3m)
- fix permission of docs

* Fri Sep 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.3-2m)
- use "Apache/2.2.0 \(Momonga\)" in rules/*.conf

* Fri Sep 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.3-1m)
- update

* Fri Sep 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.1-2m)
- update http_version to 2.2.6

* Sat Jun  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.1-1m)
- [SECURITY] CVE-2007-1359
- update to 2.1.1

* Sun Jul 23 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.9.4-1m)
- import from fedora extra

* Mon May 15 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.4-1
- New upstream release

* Tue Apr 11 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.3-1
- New upstream release
- Trivial spec tweaks

* Wed Mar 1 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.2-3
- Bump for FC5

* Fri Feb 10 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.2-2
- Bump for newer gcc/glibc

* Wed Jan 18 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.2-1
- New upstream release

* Fri Dec 16 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.1-2
- Bump for new httpd

* Thu Dec 1 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9.1-1
- New release 1.9.1 

* Wed Nov 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.9-1
- New stable upstream release 1.9

* Sat Jul 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-4
- Add Requires: httpd-mmn to get the appropriate "module magic" version
  (thanks Ville Skytta)
- Disabled an overly-agressive rule or two..

* Sat Jul 9 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-3
- Correct Buildroot
- Some sensible and safe rules for common apps in mod_security.conf

* Thu May 19 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-2
- Don't strip the module (so we can get a useful debuginfo package)

* Thu May 19 2005 Michael Fleming <mfleming+rpm@enlartenment.com> 1.8.7-1
- Initial spin for Extras
